<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('inspeksi', function (Blueprint $table) {
            $table->unsignedBigInteger('nomor_lpj')->nullable();
            $table->timestamp('processed_at')->nullable();
            $table->char('is_mig', 1)->nullable()->comment('untuk menandakan row ini dari LPJ OLD');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('inspeksi', function (Blueprint $table) {
            $table->dropColumn('nomor_lpj');
            $table->dropColumn('processed_at');
            $table->dropColumn('is_mig');
        });
    }
};
